import { _ as __nuxt_component_0 } from './Map-BULIGzP7.mjs';
import { _ as __nuxt_component_1 } from './HowToArriveNav-C0vLe0Rh.mjs';
import { _ as __nuxt_component_2 } from './nuxt-link-DENluCKo.mjs';
import { withCtx, createTextVNode, toDisplayString, createVNode, useSSRContext } from 'vue';
import { ssrRenderComponent, ssrInterpolate } from 'vue/server-renderer';
import { V as VCard } from './VCard-D86CughW.mjs';
import { j as VContainer, l as VIcon, V as VBtn } from './server.mjs';
import { a as VRow } from './VRow-DwC6p4O-.mjs';
import { V as VCardActions } from './VCardActions-B8o0qNQf.mjs';
import { V as VSpacer } from './VSpacer-D6kTsy1m.mjs';
import '../nitro/nitro.mjs';
import 'luxon';
import '@sequelize/core';
import 'html-to-text';
import 'zod';
import 'crypto';
import 'node:fs';
import 'sharp';
import 'path';
import 'node:stream';
import 'jsdom';
import 'dompurify';
import 'mime-types';
import 'fs';
import 'fs/promises';
import 'linkify-html';
import '@peertube/http-signature';
import 'jsonld';
import 'lodash.intersection';
import 'email-templates';
import 'node:http';
import 'node:https';
import 'node:crypto';
import 'node:events';
import 'node:buffer';
import 'node:path';
import 'vue-router';
import 'dotenv';
import 'url';
import 'bcryptjs';
import 'slugify';
import 'umzug';
import 'consola';
import '@sequelize/core/decorators-legacy';
import 'util';
import 'mitt';
import 'ical.js';
import 'node:url';
import 'fast-xml-parser';
import './createSimpleFunctional-D4PbVxKo.mjs';
import './VAvatar-DZc9zgUD.mjs';
import './VCardText-KkYigSmQ.mjs';
import 'perfect-debounce';
import 'v-calendar';
import 'linkifyjs';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'unhead/server';
import 'devalue';
import 'unhead/utils';

const _sfc_main = {
  __name: "EventMapDialog",
  __ssrInlineRender: true,
  props: {
    place: { type: Object, default: () => ({ latitude: 0, longitude: 0 }) },
    mapHeight: { type: String, default: "55vh" }
  },
  emits: ["close"],
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Map = __nuxt_component_0;
      const _component_HowToArriveNav = __nuxt_component_1;
      const _component_nuxt_link = __nuxt_component_2;
      _push(ssrRenderComponent(VCard, _attrs, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(VContainer, { class: "flex-grow-1" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="position-relative"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_component_Map, {
                    place: __props.place,
                    height: __props.mapHeight
                  }, null, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_component_HowToArriveNav, { place: __props.place }, null, _parent3, _scopeId2));
                  _push3(`</div>`);
                  _push3(ssrRenderComponent(VRow, { class: "my-4 d-flex flex-column align-center text-center" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`<div class="d-flex ga-2 align-baseline"${_scopeId3}>`);
                        _push4(ssrRenderComponent(VIcon, {
                          icon: "mdi-map-marker",
                          size: "small"
                        }, null, _parent4, _scopeId3));
                        _push4(ssrRenderComponent(_component_nuxt_link, {
                          class: "text-decoration-none text-h6",
                          to: `/place/${__props.place.id}/${encodeURIComponent(__props.place.name)}`
                        }, {
                          default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                            if (_push5) {
                              _push5(`${ssrInterpolate(__props.place.name)}`);
                            } else {
                              return [
                                createTextVNode(toDisplayString(__props.place.name), 1)
                              ];
                            }
                          }),
                          _: 1
                        }, _parent4, _scopeId3));
                        _push4(`</div><div class="mx-2"${_scopeId3}>${ssrInterpolate(__props.place.address)}</div>`);
                      } else {
                        return [
                          createVNode("div", { class: "d-flex ga-2 align-baseline" }, [
                            createVNode(VIcon, {
                              icon: "mdi-map-marker",
                              size: "small"
                            }),
                            createVNode(_component_nuxt_link, {
                              class: "text-decoration-none text-h6",
                              to: `/place/${__props.place.id}/${encodeURIComponent(__props.place.name)}`
                            }, {
                              default: withCtx(() => [
                                createTextVNode(toDisplayString(__props.place.name), 1)
                              ]),
                              _: 1
                            }, 8, ["to"])
                          ]),
                          createVNode("div", { class: "mx-2" }, toDisplayString(__props.place.address), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode("div", { class: "position-relative" }, [
                      createVNode(_component_Map, {
                        place: __props.place,
                        height: __props.mapHeight
                      }, null, 8, ["place", "height"]),
                      createVNode(_component_HowToArriveNav, { place: __props.place }, null, 8, ["place"])
                    ]),
                    createVNode(VRow, { class: "my-4 d-flex flex-column align-center text-center" }, {
                      default: withCtx(() => [
                        createVNode("div", { class: "d-flex ga-2 align-baseline" }, [
                          createVNode(VIcon, {
                            icon: "mdi-map-marker",
                            size: "small"
                          }),
                          createVNode(_component_nuxt_link, {
                            class: "text-decoration-none text-h6",
                            to: `/place/${__props.place.id}/${encodeURIComponent(__props.place.name)}`
                          }, {
                            default: withCtx(() => [
                              createTextVNode(toDisplayString(__props.place.name), 1)
                            ]),
                            _: 1
                          }, 8, ["to"])
                        ]),
                        createVNode("div", { class: "mx-2" }, toDisplayString(__props.place.address), 1)
                      ]),
                      _: 1
                    })
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(VCardActions, null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(VSpacer, null, null, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(VBtn, {
                    variant: "outlined",
                    onClick: ($event) => _ctx.$emit("close")
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(_ctx.$t("common.close"))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(_ctx.$t("common.close")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(VSpacer),
                    createVNode(VBtn, {
                      variant: "outlined",
                      onClick: ($event) => _ctx.$emit("close")
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(_ctx.$t("common.close")), 1)
                      ]),
                      _: 1
                    }, 8, ["onClick"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode(VContainer, { class: "flex-grow-1" }, {
                default: withCtx(() => [
                  createVNode("div", { class: "position-relative" }, [
                    createVNode(_component_Map, {
                      place: __props.place,
                      height: __props.mapHeight
                    }, null, 8, ["place", "height"]),
                    createVNode(_component_HowToArriveNav, { place: __props.place }, null, 8, ["place"])
                  ]),
                  createVNode(VRow, { class: "my-4 d-flex flex-column align-center text-center" }, {
                    default: withCtx(() => [
                      createVNode("div", { class: "d-flex ga-2 align-baseline" }, [
                        createVNode(VIcon, {
                          icon: "mdi-map-marker",
                          size: "small"
                        }),
                        createVNode(_component_nuxt_link, {
                          class: "text-decoration-none text-h6",
                          to: `/place/${__props.place.id}/${encodeURIComponent(__props.place.name)}`
                        }, {
                          default: withCtx(() => [
                            createTextVNode(toDisplayString(__props.place.name), 1)
                          ]),
                          _: 1
                        }, 8, ["to"])
                      ]),
                      createVNode("div", { class: "mx-2" }, toDisplayString(__props.place.address), 1)
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }),
              createVNode(VCardActions, null, {
                default: withCtx(() => [
                  createVNode(VSpacer),
                  createVNode(VBtn, {
                    variant: "outlined",
                    onClick: ($event) => _ctx.$emit("close")
                  }, {
                    default: withCtx(() => [
                      createTextVNode(toDisplayString(_ctx.$t("common.close")), 1)
                    ]),
                    _: 1
                  }, 8, ["onClick"])
                ]),
                _: 1
              })
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/Event/MapDialog.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
